> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Organization

> Partially update an organization

<Info>
  Omitted fields are left unchanged. To explicitly clear a field, pass it as `null`.
</Info>


## OpenAPI

````yaml PATCH /orgs/{org_id}
openapi: 3.1.0
info:
  title: Timbal Platform API
  description: Public API documentation for the Timbal platform
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.timbal.ai
    description: Production
  - url: https://api.dev.timbal.ai
    description: Development
security: []
tags:
  - name: ace
    description: Action Control Engine (ACE) operations
  - name: alarms
    description: Metric series and threshold alarms
  - name: analytics
    description: Org and project analytics
  - name: billing
    description: Subscriptions, usage, and payment-related operations
  - name: channels
    description: Delivery channels alarms notify through
  - name: content
    description: Re-sign stored content URLs
  - name: files
    description: File operations
  - name: iam
    description: IAM — actions, roles, users, and authorization introspection
  - name: k2
    description: Knowledge Bases v2 operations
  - name: orgs
    description: Organization operations
  - name: projects
    description: Project operations
  - name: runs
    description: Execution operations
  - name: templates
    description: Public project template catalog
  - name: users
    description: Authenticated user profile
paths:
  /orgs/{org_id}:
    patch:
      tags:
        - orgs
      description: Partially update an organization
      operationId: handler
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditOrgReqBody'
        required: true
      responses:
        '204':
          description: Organization updated successfully
      security:
        - bearer_auth: []
components:
  schemas:
    EditOrgReqBody:
      type: object
      properties:
        banner_url:
          type:
            - string
            - 'null'
          description: URL of the organization's banner image
          deprecated: true
        contact_email:
          type:
            - string
            - 'null'
          description: Contact email address
        contact_name:
          type:
            - string
            - 'null'
          description: Contact person's name
        contact_phone:
          type:
            - string
            - 'null'
          description: Contact phone number
        country:
          type:
            - string
            - 'null'
          description: ISO 3166-1 alpha-2 country code
        description:
          type:
            - string
            - 'null'
          description: Organization description
        name:
          type:
            - string
            - 'null'
          description: Organization name
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Timbal API key. Obtain your API key from the Timbal platform settings.
        See [Authentication](/api-reference/authentication) for more
        information.

````